Package com.openmeet.shared.data.rating

# Class Rating

java.lang.Object
com.openmeet.shared.data.rating.Rating

All Implemented Interfaces:
  `IEntity`

public class Rating extends Object implements IEntity
This class represents the Rating Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RATING`
  `static final String`
  `RATING_CREATION_DATE`
  `static final String`
  `RATING_ID`
  `static final String`
  `RATING_MEETER_RATED`
  `static final String`
  `RATING_MEETER_RATER`
  `static final String`
  `RATING_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rating()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Timestamp`
  `getCreationDate()`
  Returns the creation date of the Rating.
  `int`
  `getId()`
  Returns the id of the Rating.
  `int`
  `getMeeterRated()`
  Returns the id of the meeter who is rated.
  `int`
  `getMeeterRater()`
  Returns the id of the meeter who created the Rating.
  `boolean`
  `isType()`
  Returns the type of the Rating.
  `void`
  `setCreationDate(Timestamp creationDate)`
  Sets the creation date of the Rating.
  `void`
  `setId(int id)`
  Sets the id of the Rating.
  `void`
  `setMeeterRated(int meeterRated)`
  Sets the id of the meeter who is rated.
  `void`
  `setMeeterRater(int meeterRater)`
  Sets the id of the meeter who created the Rating.
  `void`
  `setType(boolean type)`
  Sets the type of the Rating.
  `HashMap<String,Object>`
  `toHashMap()`
  Returns the Rating as an hashMap.
  `HashMap<String,Object>`
  `toHashMap(String... fields)`
  Returns the Rating as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RATING

    public static final String RATING
    See Also:
      - Constant Field Values

  - ### RATING_ID

    public static final String RATING_ID
    See Also:
      - Constant Field Values

  - ### RATING_MEETER_RATER

    public static final String RATING_MEETER_RATER
    See Also:
      - Constant Field Values

  - ### RATING_MEETER_RATED

    public static final String RATING_MEETER_RATED
    See Also:
      - Constant Field Values

  - ### RATING_TYPE

    public static final String RATING_TYPE
    See Also:
      - Constant Field Values

  - ### RATING_CREATION_DATE

    public static final String RATING_CREATION_DATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Rating

    public Rating()

- ## Method Details

  - ### toHashMap

    public HashMap<String,Object> toHashMap()
    Returns the Rating as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Rating as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,Object> toHashMap(String... fields)
    Returns the Rating as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Rating as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the id of the Rating.
    Returns:
      the id of the Rating.

  - ### setId

    public void setId(int id)
    Sets the id of the Rating.
    Parameters:
      `id` - the id of the Rating.

  - ### getMeeterRater

    public int getMeeterRater()
    Returns the id of the meeter who created the Rating.
    Returns:
      the id of the meeter who created the Rating.

  - ### setMeeterRater

    public void setMeeterRater(int meeterRater)
    Sets the id of the meeter who created the Rating.
    Parameters:
      `meeterRater` - the id of the meeter who created the Rating.

  - ### getMeeterRated

    public int getMeeterRated()
    Returns the id of the meeter who is rated.
    Returns:
      the id of the meeter who is rated.

  - ### setMeeterRated

    public void setMeeterRated(int meeterRated)
    Sets the id of the meeter who is rated.
    Parameters:
      `meeterRated` - the id of the meeter who is rated.

  - ### isType

    public boolean isType()
    Returns the type of the Rating.
    Returns:
      the type of the Rating, true if the meeter is liked, false otherwise.

  - ### setType

    public void setType(boolean type)
    Sets the type of the Rating.
    Parameters:
      `type` - the type of the Rating, true if the meeter is liked, false otherwise.

  - ### getCreationDate

    public Timestamp getCreationDate()
    Returns the creation date of the Rating.
    Returns:
      the creation date of the Rating.

  - ### setCreationDate

    public void setCreationDate(Timestamp creationDate)
    Sets the creation date of the Rating.
    Parameters:
      `creationDate` - the creation date of the Rating.